/* 
   Nom du fichier : front.css 
   Description : Feuille de style pour le site web STUDIO BS | Alexandre Boni.
   Auteur : Alexandre Boni 
*/

:root {
    --background: #FFFFFF;
    --background-menu : #f2f3f7;
    --background-evenement : #f7f3f0;
    --font: #777777;
    --font-fonce: #333333;
    --bleu-fonce: #000d4f;
    --turquoise: #21bfdb; 
    --bleu-btn: #000d4f;
    --bleu-btn-hover: #000040;
    --turquoise-btn: #21bfdb;
    --turquoise-btn-hover: #009bb7;
    --bleu-ecrevisse: #102069;
}

html, body {
    height: 100%;
    font-family: 'stratos', sans-serif;
    font-size: 1em;
    font-weight: 400;
    padding:0px;
    margin:0px;
    color:var(--font);
    background-color: var(--background);
    overflow: hidden; 
}

#back-to-top {
    font-size: 2rem;
    cursor: pointer;
    background-color: var(--bleu-fonce);
    border: 1px solid #FFFFFF;
    color: #FFFFFF;
    text-decoration: none;
    z-index: 5;
    width: 50px;
    height: 50px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 0px;
    transition: transform 0.3s;
    opacity: 0;
}

.fonce {
    color: var(--font-fonce);
}

.full-height {
    min-height: 100vh;
}

.full-height-s {
    min-height: auto;
}

.hidden {
    visibility: hidden;
}

a.btn-bleu, a.btn-turquoise, a.btn-noel {
    border: 0;
    width: 150px;
    font-size: 0.9rem;
    padding: 25px 30px;
    color: #FFFFFF;
    text-decoration: none;
    text-transform: uppercase;
    transition: 0.3s background-color ease-in-out;
}

a.btn-bleu {
    background-color: var(--bleu-btn);
}


a.btn-turquoise {
    background-color: var(--turquoise-btn);
}

a.btn-noel {
    background-color: #FF0000;
}

a.btn-bleu:hover {
    background-color: var(--bleu-btn-hover);
}


a.btn-turquoise:hover {
    background-color: var(--turquoise-btn-hover);
}

.menu {
    background: var(--background-menu);
    position: sticky;
    top: 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 1);
    text-transform: uppercase;
    color: var(--font);
    z-index: 10;
}

.menu a {
    position: relative; 
    display: inline-block; 
    text-decoration: none;
    color: var(--font-fonce);
    transition: color 0.3s ease-in-out;
}

.menu a:hover {
    color: var(--font-fonce);
}

.menu a:active, .menu a:visited, .menu a:focus {
    color: var(--font-fonce);
}

.menu a.souligne::after {
    content: "";
    position: absolute;
    bottom: 0px; 
    left: 50%; 
    transform: translateX(-50%) scaleX(0); 
    width: 75%; 
    height: 2px; 
    background-color: var(--font-fonce); 
    transition: transform 0.3s ease-in-out; 
    transform-origin: center; 
}

.menu a.souligne:hover::after {
    transform: translateX(-50%) scaleX(1); 
}

.menu address a {
    font-size: 1.8rem;
    font-weight: 600;
    color: var(--font-fonce);
    transition: color 0.3s ease-in-out;
}

.menu address a:hover {
    font-size: 1.8rem;
    font-weight: 600;
    color: var(--turquoise);
}

.menu .signature {
    color:var(--font-fonce);
    font-size: 0.80rem;
    text-transform : uppercase;
}

.menu .signature a {
    font-size: 0.80rem;
    font-weight: 600;
    animation: color 0.3s ease-in-out;
}

.menu .signature a:hover {
    font-size: 0.80rem;
    font-weight: 600;
    color:var(--turquoise);
}

#hamburger {
    font-size: 1.5em;
    z-index: 11;
    cursor: pointer;
    width: 45px;
    height: 45px;
    background-color: var(--bleu-ecrevisse);
    color: white;
    opacity: 1;
    transition: transform 0.3s;
}

#hamburger:hover {
    transform: scale(1.1);
}

.menu-responsive-menu {
    position: fixed;
    top: 0;
    right: 0;
    transform: translateX(100%);
    width: 70%;
    height: 100%;
    overflow-y: auto;
    transition: transform 0.6s ease-in-out;
    z-index: 1040;
    background: var(--bleu-fonce);
    box-shadow: -5px 0 15px rgba(0, 0, 0, 0.5);
    color: #FFFFFF;
}

.menu-responsive-menu i {
    font-size: 1em;
}

.menu-responsive-menu ul {
    padding: 0;
    margin: 0;
}

.menu-responsive-menu li {
    list-style: none;
    font-size: 0.85rem;
}

.menu-responsive-menu li a {
    color: inherit;
    text-decoration: none;
}

.menu-responsive-menu .menu-icon {
    width: 24px; /* Fixe la largeur des icônes */
    text-align: center; /* Centre les icônes dans leur espace */
    font-size: 0.85rem; /* Ajustez la taille des icônes si nécessaire */
}

/* Désactiver la transition temporairement */
.menu-responsive-menu.no-transition {
    transition: none;
}
.menu-responsive-menu.open {
    transform: translateX(0);
}

.contenu {
    height: 100vh;
    overflow-y: auto;
}

.contenu .premiere-page .colonne-gauche .bloc-haut {
    height: 60%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url('/images/ecrevisse.webp');
    position: relative;
}

.contenu .premiere-page .colonne-gauche .bloc-haut h1 {
    font-size: 4rem;
    font-weight: 600;
    color: #FFFFFF;
    text-transform: uppercase;
}

.contenu .premiere-page .colonne-gauche .bloc-haut h2 {
    font-size: 2.5rem;
    font-weight: 600;
    color: #FFFFFF;
    text-transform: uppercase;
}

.contenu .premiere-page .colonne-gauche .bloc-bas {
    height: 40%;
    background-color: var(--bleu-fonce);
    color: #FFFFFF;
}

.contenu .premiere-page .colonne-gauche .bloc-bas a {
    font-size: 1.4rem;
    color: #FFFFFF;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

.contenu .premiere-page .colonne-gauche .bloc-bas a:hover {
    font-size: 1.4rem;
    color: var(--turquoise);
    text-decoration: none;
}

.contenu .premiere-page .colonne-droite {
    background-repeat: no-repeat;
    background-size: 120%;
    background-position: center;
    background-image: url('/images/etal.webp');
    position: relative;
    animation: zoomBackground 16s infinite alternate;
}

.contenu .premiere-page .colonne-droite h2 {
    font-size: 4rem;
    font-weight: 600;
    color: #FFFFFF;
    text-transform: uppercase;
}

.contenu .deuxieme-page .colonne-gauche.bloc-photo {
    min-height: 500px;
    background-repeat: no-repeat;
    background-size: 110%;
    background-position: center;
    background-image: url('/images/chalutier.webp');
    position: relative;
    animation: zoomBackground2 8s infinite alternate;
}

.contenu .deuxieme-page .colonne-droite h2 {
    color: var(--turquoise);
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .deuxieme-page .colonne-droite h3 {
    color: var(--bleu-fonce);
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-chiffres .bloc-bleu {
    background-color: var(--bleu-fonce);
}

.contenu .bloc-chiffres .bloc-chiffre .chiffre {
    position: relative;
    font-size: 5rem;
    font-weight: 600;
    color: var(--bleu-fonce);
    z-index: 1; /* Place le chiffre au-dessus du trait */
    background-color: transparent; /* Assure que le fond reste transparent */
}

.contenu .bloc-chiffres .bloc-chiffre .chiffre::after {
    content: '';
    position: absolute;
    bottom: 20px; /* Ajuste la position pour chevaucher le chiffre */
    left: 40%; /* Ajuste la largeur pour centrer */
    width: 80%; /* Taille proportionnelle du trait */
    height: 20px; /* Épaisseur du trait */
    background-color: var(--turquoise); /* Couleur bleu turquoise */
    z-index: -1; /* Assure que le trait est derrière le chiffre */
}

.contenu .bloc-chiffres .bloc-chiffre .details {
    font-size: 0.85rem;
    font-weight: 400;
    color: var(--font);
    text-transform: uppercase;
    letter-spacing: 2px;
}

.contenu .bloc-plaisir {
    position: relative;
    background-color: rgb(0, 13, 79); /* Couleur bleu foncé exacte */
    min-height: 300px;
    color: #FFFFFF;
}

.contenu .bloc-plaisir::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url('/images/huitre.webp') no-repeat;
    background-size: 50%;
    background-position: 120% 0%;
    opacity: 0.15; /* Transparence de l'image */
    z-index: 1; /* Derrière le contenu */
}

.contenu .bloc-plaisir > * {
    position: relative;
    z-index: 2; /* Au-dessus de l'image */
}

.contenu .bloc-plaisir  h2 {
    color: var(--turquoise);
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-plaisir  h3 {
    color: #FFFFFF;
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-plaisir header.icone {
    min-height: 140px;
}

.contenu .bloc-plaisir header.icone img {
    width: 100px; /* Adapte à la largeur de l'image */
    height: 100px; /* Adapte à la hauteur de l'image */
}

.contenu .bloc-evenement {
    position: relative;
    background-color: rgb(0, 13, 79); /* Couleur bleu foncé exacte */
    min-height: 300px;
    color: #FFFFFF;
}

.contenu .bloc-evenement .bloc {
    position: relative;
    background-color: var(--background-menu);
    border-radius: 20px;
    border: 0;
    color: var(--bleu-fonce);
}

.contenu .bloc-evenement .bloc::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url('/images/crevette.webp') no-repeat;
    background-size: 40%;
    background-position: 100% 100%;
    opacity: 0.20; /* Transparence de l'image */
}

.contenu .bloc-evenement .bloc h2 {
    color: var(--turquoise);
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-evenement .bloc h3 {
    color: var(--bleu-fonce);
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-instagram {
    background: linear-gradient(to bottom, var(--bleu-fonce) 50%, #FFFFFF 50%);
    /*background-color: rgb(0, 13, 79);  Couleur bleu foncé exacte */
}

.contenu .bloc-instagram  h2 {
    color: var(--turquoise);
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-instagram  h3 {
    color: #FFFFFF;
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-contact  h2 {
    color: var(--turquoise);
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}

.contenu .bloc-contact  h3 {
    color: var(--bleu-fonce);
    font-size: 3rem;
    font-weight: 600;
    text-transform: uppercase;
}

.mapid {
    height: 400px;
    z-index: 0;
}

.footer {
    background-color: var(--bleu-fonce);
    color: #FFFFFF;
}

.footer h2 {
    font-size: 1.4rem;
}

.footer i {
    font-size: 2rem;
}

.footer a {
    color: #FFFFFF;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

.footer a:hover {
    color: var(--turquoise);
}

.modal-content {
    background-color: #FFFFFF;
}

.modal-content h2 {
    color: var(--bleu-fonce);
    text-transform: uppercase;
    font-size: 2rem;
}

.modal-body {
    color: var(--font);
}

.modal-body h3 {
    color: var(--bleu-fonce);
    text-transform: uppercase;
    font-size: 1.5rem;
}

.modal-body a {
    color: var(--bleu-fonce);
    text-decoration: none;
}

.modal-body a:hover {
    color: var(--bleu-fonce);
    text-decoration: underline;
}

@keyframes zoomBackground {
    0% {
        background-position: left center;
    }
    100% {
        background-position: right center;
    }
}

@keyframes zoomBackground2 {
    0% {
        background-position: right center;
    }
    100% {
        background-position: left center;
    }
}